<?php

namespace Drupal\custom_field\Normalizer;

use Drupal\custom_field\Plugin\DataType\CustomFieldStringLongInterface;
use Drupal\serialization\Normalizer\PrimitiveDataNormalizer;

/**
 * Converts the string_long custom field value to a JSON:API structure.
 */
class StringLongNormalizer extends PrimitiveDataNormalizer {

  /**
   * {@inheritdoc}
   */
  protected $supportedInterfaceOrClass = CustomFieldStringLongInterface::class;

  /**
   * {@inheritdoc}
   */
  public function normalize($object, $format = NULL, array $context = []): array|string|int|float|bool|\ArrayObject|null {
    if ($object instanceof CustomFieldStringLongInterface) {
      if ($value = $object->getValue()) {
        return [
          'value' => (string) $value,
          'processed' => $object->getProcessed(),
        ];
      }

      return $value;
    }

    return NULL;
  }

}
